| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# DOMRangeException Class Reference

Range operations may throw a `DOMRangeException` as specified in their method descriptions. More...

Inheritance diagram for DOMRangeException:

[legend]
List of all members.

## Public Types

Public Contants
enum | RangeExceptionCode { BAD_BOUNDARYPOINTS_ERR = 1, INVALID_NODE_TYPE_ERR = 2 }
| Enumerators for DOM Range Exceptions. More...

## Public Member Functions

Constructors
| DOMRangeException ()
| Default constructor for DOMRangeException.
| DOMRangeException (RangeExceptionCode code, const XMLCh *message, MemoryManager *const memoryManager)
| Constructor which takes an error code and a message.
| DOMRangeException (const DOMRangeException &other)
| Copy constructor.
Destructor.
virtual | ~DOMRangeException ()
| Destructor for DOMRangeException.

## Public Attributes

Public variables
RangeExceptionCode | code
| A code value, from the set defined by the RangeExceptionCode enum, indicating the type of error that occured.

## Detailed Description

Range operations may throw a `DOMRangeException` as specified in their method descriptions.

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Since:
  DOM Level 2

## Member Enumeration Documentation

enum DOMRangeException::RangeExceptionCode

Enumerators for DOM Range Exceptions.

`BAD_BOUNDARYPOINTS_ERR:` If the boundary-points of a Range do not meet specific requirements.

`INVALID_NODE_TYPE_ERR:` If the container of an boundary-point of a Range is being set to either a node of an invalid type or a node with an ancestor of an invalid type.

Since:
  DOM Level 2

Enumeration values:

  BAD_BOUNDARYPOINTS_ERR |
  INVALID_NODE_TYPE_ERR |

## Constructor & Destructor Documentation

DOMRangeException::DOMRangeException | ( |  | ) |

| Default constructor for DOMRangeException.

DOMRangeException::DOMRangeException | ( | RangeExceptionCode | code,
|  | const XMLCh * | message,
|  | MemoryManager *const | memoryManager
| ) |

Constructor which takes an error code and a message.

Parameters:

  | code | The error code which indicates the exception
  | message | The string containing the error message
  | memoryManager | The memory manager used to (de)allocate memory

DOMRangeException::DOMRangeException | ( | const DOMRangeException & | other | ) |

Copy constructor.

Parameters:

  | other | The object to be copied.

virtual DOMRangeException::~DOMRangeException | ( |  | ) | `[virtual]`

| Destructor for DOMRangeException.

## Member Data Documentation

RangeExceptionCode DOMRangeException::code

A code value, from the set defined by the RangeExceptionCode enum, indicating the type of error that occured.

Since:
  DOM Level 2

Reimplemented from DOMException.

The documentation for this class was generated from the following file:

- DOMRangeException.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.